%define	name	opale
%define	version	0.5
%define	release	1mdk
%define	Summary	Simple personal account manager for KDE and KOffice
%define	major	0
%define	libname	%mklibname %{name} %{major}

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
Source0:	%{name}-%{version}.tar.bz2
URL:		http://orzel.freehackers.org/opale/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	kdelibs >= 3.1
BuildRequires:	koffice-devel >= 1.3 kdepim-devel

%description
Opale is a very simple personal account manager for KDE and KOffice. 
The precise specifications are opale should do what I need. 

%package -n	%libname
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%libname
Opale is a very simple personal account manager for KDE and KOffice. 
The precise specifications are opale should do what I need. 

%package -n	%libname-devel
Summary:	Development libraries and headers for %{name}
Group:		Office	
Requires:	%libname = %version-%release
Provides:	lib%{name}-devel	

%description -n %libname-devel
Opale is a very simple personal account manager for KDE and KOffice. 
The precise specifications are opale should do what I need. 

%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final

%make PACKAGE=%{name}

%install
rm -rf %{buildroot}
#(peroyvind) be sure not to include version in name
%makeinstall PACKAGE=%{name}

install -m 755 -d %buildroot%{_miconsdir}
install -m 755 -d %buildroot%{_iconsdir}/hicolor/{32x32,48x48}/apps
install -m 755 -d %buildroot%{_liconsdir}

%{__cp} %{_topdir}/BUILD/%{name}-%{version}/%{name}/pics/cr32-app-opale.png %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{__cp} %{_topdir}/BUILD/%{name}-%{version}/%{name}/pics/cr48-app-opale.png %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{__cp} %{_topdir}/BUILD/%{name}-%{version}/%{name}/pics/lo16-app-opale.png %buildroot%{_miconsdir}/%{name}.png
%{__cp} %{_topdir}/BUILD/%{name}-%{version}/%{name}/pics/cr48-app-opale.png %buildroot%{_liconsdir}/%{name}.png
%{__cp} %{_topdir}/BUILD/%{name}-%{version}/%{name}/pics/cr32-app-opale.png %buildroot%{_iconsdir}/%{name}.png

install -m 755 -d %buildroot%{_menudir}

cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="Applications/Finances"\
title="Opale"\
longtitle="%{Summary}"
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%post -n %libname  -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc README AUTHORS NEWS
%_bindir/*
%_menudir/%{name}
%_datadir/applnk/Office/%name.desktop
%dir %_datadir/apps/%name
%_datadir/apps/%name/%name.rc
%_datadir/mimelnk/application/x-cash-be.desktop
%_datadir/mimelnk/application/x-cash-le.desktop
%_datadir/mimelnk/application/x-opale.desktop
%_datadir/services/opale_cash_import.desktop

%{_iconsdir}/crystalsvg/*/*/*.png
%{_iconsdir}/crystalsvg/*/*/*.svg
%{_iconsdir}/locolor/*/*/*.png
%_iconsdir/hicolor/32x32/apps/%{name}.png
%_iconsdir/hicolor/48x48/apps/%{name}.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%files -n %libname
%defattr(-, root, root)
%_libdir/%{name}*
%_libdir/lib*.so.*
%_libdir/lib*.la
%_libdir/kde3/*

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/lib*.so

%changelog
* Fri Feb 27 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.5-1mdk
- 0.5
- use %%mklibname
- fix typo in longtitle
- cleanups
- pass more options to configure

* Wed Oct 15 2003 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 0.3-2mdk
- develification

* Sun Sep 01 2003 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 0.3-1mdk 
- Initial release
